#### Previous topic

scipy.stats.rv_discrete.random_state

#### Next topic

scipy.stats.rv_discrete.pmf

# scipy.stats.rv_discrete.rvs

`rv_discrete.``rvs`(*args, **kwargs)

  Random variates of given type.

  Parameters:

  arg1, arg2, arg3,... : array_like

  > The shape parameter(s) for the distribution (see docstring of the instance object for more information).

  loc : array_like, optional

  > Location parameter (default=0).

  size : int or tuple of ints, optional

  > Defining number of random variates (Default is 1). Note that size has to be given as keyword, not as positional argument.

  random_state : None or int or `np.random.RandomState` instance, optional

  > If int or RandomState, use it for drawing the random variates. If None, rely on `self.random_state`. Default is None.

  Returns:

  rvs : ndarray or scalar

  > Random variates of given size.